Index: source/class/pf/Application.js
===================================================================
--- source/class/pf/Application.js	(revision 144)
+++ source/class/pf/Application.js	(revision 146)
@@ -1888,147 +1751,146 @@
                     }
                 }, this);
-            btn = new qx.legacy.ui.menu.Button("Quit", "pf/image/exit.png", q);
+            btn = new qx.ui.menu.Button("Quit", "pf/image/exit.png", q);
             submenu.add(btn);
                 
-            btn = new qx.legacy.ui.menubar.Button("File", submenu);
-            btn.set({ paddingLeft : 7, paddingRight : 7 });
+            btn = new qx.ui.menubar.Button("File", null, submenu);
             menubar.add(btn);
 
 
-            submenu = new qx.legacy.ui.menu.Menu;
-            submenu.setBackgroundColor(bg);
-            submenu.addListener("beforeAppear", editMenuCB, this);
+            submenu = new qx.ui.menu.Menu;
+            submenu.addListener("appear", editMenuCB, this);
             this.doc.add(submenu);
-            btn = new qx.legacy.ui.menu.Button("Add to Favorites",
+            btn = new qx.ui.menu.Button("Add to Favorites",
                 "pf/image/favorite-add.png");
             btn.addListener("execute", addToFavCB, this);
             this.editMenuButtonAddToFav = btn;
             submenu.add(btn);
-            btn = new qx.legacy.ui.menu.Button("Remove from Favorites",
+            btn = new qx.ui.menu.Button("Remove from Favorites",
                 "pf/image/favorite-delete.png");
             btn.addListener("execute", removeFromFavCB, this);
             this.editMenuButtonRemFromFav = btn;
             submenu.add(btn);
-            submenu.add(new qx.legacy.ui.menu.Separator);
-            btn = new qx.legacy.ui.menu.Button("Preferences",
+            submenu.add(new qx.ui.menu.Separator);
+            btn = new qx.ui.menu.Button("Preferences",
                 "pf/image/preferences.png");
             btn.addListener("execute", this.prefsCB, this);
             submenu.add(btn);
 
-            btn = new qx.legacy.ui.menubar.Button("Edit", submenu);
-            btn.set({ paddingLeft : 7, paddingRight : 7 });
+            btn = new qx.ui.menubar.Button("Edit", null, submenu);
             menubar.add(btn);
 
 
-            submenu = new qx.legacy.ui.menu.Menu;
-            submenu.setBackgroundColor(bg);
-            submenu.addListener("beforeAppear", viewMenuCB, this);
-
-            var subMenu1 = new qx.legacy.ui.menu.Menu;
-            subMenu1.setBackgroundColor(bg);
-            button = new qx.legacy.ui.menu.CheckBox("Fundamental",
-                null, this.showFundamental);
-            button.addListener("execute", showFundamentalCB, this);
-            subMenu1.add(button);
-            button = new qx.legacy.ui.menu.CheckBox("Spectroscopy",
-                null, this.showSpectroscopy);
-            button.addListener("execute", showSpectroscopyCB, this);
-            subMenu1.add(button);
-            button = new qx.legacy.ui.menu.CheckBox("Waves",
-                null, this.showWaves);
-            button.addListener("execute", showWavesCB, this);
-            subMenu1.add(button);
-            button = new qx.legacy.ui.menu.CheckBox("Collisions",
-                null, this.showCollisions);
-            button.addListener("execute", showCollisionsCB, this);
-            subMenu1.add(button);
-            this.showSectionsButton = new qx.legacy.ui.menu.Button("Show Sections",
+            submenu = new qx.ui.menu.Menu;
+            submenu.addListener("appear", viewMenuCB, this);
+
+            var subMenu1 = new qx.ui.menu.Menu;
+            btn = new qx.ui.menu.CheckBox("Fundamental");
+            btn.setValue(this.showFundamental);
+            btn.addListener("execute", showFundamentalCB, this);
+            subMenu1.add(btn);
+            btn = new qx.ui.menu.CheckBox("Spectroscopy");
+            btn.setValue(this.showSpectroscopy);
+            btn.addListener("execute", showSpectroscopyCB, this);
+            subMenu1.add(btn);
+            btn = new qx.ui.menu.CheckBox("Waves");
+            btn.setValue(this.showWaves);
+            btn.addListener("execute", showWavesCB, this);
+            subMenu1.add(btn);
+            btn = new qx.ui.menu.CheckBox("Collisions");
+            btn.setValue(this.showCollisions);
+            btn.addListener("execute", showCollisionsCB, this);
+            subMenu1.add(btn);
+            this.showSectionsButton = new qx.ui.menu.Button("Show Sections",
                 null, null, subMenu1);
             submenu.add(this.showSectionsButton);
             
-            submenu.add(new qx.legacy.ui.menu.Separator);
-
-            var subMenu2 = new qx.legacy.ui.menu.Menu;
-            subMenu2.setBackgroundColor(bg);
-            button = new qx.legacy.ui.menu.CheckBox("Electrons",
-                null, this.showElectrons)
-            button.addListener("execute", showElectronsCB, this);
-            subMenu2.add(button);
-            button = new qx.legacy.ui.menu.CheckBox("Ions",
-                null, this.showIons)
-            button.addListener("execute", showIonsCB, this);
-            subMenu2.add(button);
-            button = new qx.legacy.ui.menu.CheckBox("Radiators",
-                null, this.showRadiators)
-            button.addListener("execute", showRadiatorsCB, this);
-            subMenu2.add(button);
-            this.showSpeciesButton = new qx.legacy.ui.menu.Button("Show Species",
+            submenu.add(new qx.ui.menu.Separator);
+
+            var subMenu2 = new qx.ui.menu.Menu;
+            btn = new qx.ui.menu.CheckBox("Electrons");
+            btn.setValue(this.showElectrons);
+            btn.addListener("execute", showElectronsCB, this);
+            subMenu2.add(btn);
+            btn = new qx.ui.menu.CheckBox("Ions");
+            btn.setValue(this.showIons);
+            btn.addListener("execute", showIonsCB, this);
+            subMenu2.add(btn);
+            btn = new qx.ui.menu.CheckBox("Radiators");
+            btn.setValue(this.showRadiators);
+            btn.addListener("execute", showRadiatorsCB, this);
+            subMenu2.add(btn);
+            this.showSpeciesButton = new qx.ui.menu.Button("Show Species",
                 null, null, subMenu2);
             submenu.add(this.showSpeciesButton);
             
-            submenu.add(new qx.legacy.ui.menu.Separator);
-            q = new qx.event.Command("Ctrl+W");
+            submenu.add(new qx.ui.menu.Separator);
+            q = new qx.ui.core.Command("Ctrl+W");
             q.addListener("execute", this.loadWikiCB, this);
-            btn = new qx.legacy.ui.menu.Button("Load Wikipedia Article",
+            btn = new qx.ui.menu.Button("Load Wikipedia Article",
                 "pf/image/wikipedia.png", q);
             submenu.add(btn);
             this.loadWikiButton = btn;
-            this.doc.add(submenu, subMenu1, subMenu2);
-
-            submenu.add(new qx.legacy.ui.menu.Separator);
-            q = new qx.event.Command("Ctrl+L");
+            this.doc.add(submenu);
+            this.doc.add(subMenu1);
+            this.doc.add(subMenu2);
+
+            submenu.add(new qx.ui.menu.Separator);
+            q = new qx.ui.core.Command("Ctrl+L");
             q.addListener("execute", this.drawCB, this);
-            btn = new qx.legacy.ui.menu.Button("Redraw Plot",
+            btn = new qx.ui.menu.Button("Redraw Plot",
                 "pf/image/tab-plot.png", q);
             submenu.add(btn);
             this.redrawButton = btn;
             
-            btn = new qx.legacy.ui.menubar.Button("View", submenu);
-            btn.set({ paddingLeft : 7, paddingRight : 7 });
+            
+            btn = new qx.ui.menubar.Button("View", null, submenu);
             menubar.add(btn);
 
 
-            submenu = new qx.legacy.ui.menu.Menu;
-            submenu.setBackgroundColor(bg);
+            var nvOptions = {
+                width: 800,
+                height: 600,
+                scrollbars : true,
+                resizable : true,
+                menubar : false,
+                status : false
+            };
+            submenu = new qx.ui.menu.Menu;
             this.doc.add(submenu);
-            q = new qx.event.Command("F1");
+            q = new qx.ui.core.Command("F1");
             q.addListener("execute", function(ev) {
                 alert("Help system not implemented yet");
             });
-            btn = new qx.legacy.ui.menu.Button("Help Contents",
+            btn = new qx.ui.menu.Button("Help Contents",
                 "pf/image/help.png", q);
             submenu.add(btn);
-            btn = new qx.legacy.ui.menu.Button("NRL Plasma Formulary",
+            btn = new qx.ui.menu.Button("NRL Plasma Formulary",
                 "pf/image/nrl.png");
             btn.addListener("execute", function (ev) {
-                    var w = new qx.legacy.util.NativeWindow("http://wwwppd.nrl.navy.mil/nrlformulary/");
-                    w.setDimension(800, 600);
-                    w.open();
+                    var url = "http://wwwppd.nrl.navy.mil/nrlformulary/";
+                    var w = qx.bom.Window.open(url, null, nvOptions);
                 }, this);
             submenu.add(btn);
-            btn = new qx.legacy.ui.menu.Button("Plasma at Wikipedia",
+            btn = new qx.ui.menu.Button("Plasma at Wikipedia",
                 "pf/image/wikipedia.png");
             btn.addListener("execute", function (ev) {
-                    var w = new qx.legacy.util.NativeWindow("http://en.wikipedia.org/wiki/Plasma_%28physics%29");
-                    w.setDimension(800, 600);
-                    w.open();
+                    var url = "http://en.wikipedia.org/wiki/Plasma_%28physics%29";
+                    var w = qx.bom.Window.open(url, null, nvOptions);
                 }, this);
             submenu.add(btn);
-            submenu.add(new qx.legacy.ui.menu.Separator);
-            btn = new qx.legacy.ui.menu.Button("License Terms",
+            submenu.add(new qx.ui.menu.Separator);
+            btn = new qx.ui.menu.Button("License Terms",
                 "pf/image/gnu.png");
             btn.addListener("execute", function (ev) {
-                    var w = new qx.legacy.util.NativeWindow("resource/pf/html/GPL.html");
-                    w.setDimension(800, 600);
-                    w.open();
+                    var url = "resource/pf/html/GPL.html";
+                    var w = qx.bom.Window.open(url, null, nvOptions);
                 }, this);
             submenu.add(btn);
-            btn = new qx.legacy.ui.menu.Button("About...",
+            btn = new qx.ui.menu.Button("About...",
                 "pf/image/about.png");
             btn.addListener("execute", this.aboutCB, this);
             submenu.add(btn);
 
-            btn = new qx.legacy.ui.menubar.Button("Help", submenu);
-            btn.set({ paddingLeft : 7, paddingRight : 7 });
+            btn = new qx.ui.menubar.Button("Help", null, submenu);
             menubar.add(btn);
         },
@@ -2049,6 +1911,6 @@
             var dims = new Object;
             
-            dims.w = qx.legacy.html.Window.getInnerWidth(this.win);
-            dims.h = qx.legacy.html.Window.getInnerHeight(this.win);
+            dims.w = qx.bom.Element.Dimension.getWidth(this.win);
+            dims.h = qx.bom.Element.Dimension.getHeight(this.win);
             
             return dims;
@@ -2068,5 +1930,5 @@
             
             if (prefstr) {
-                this.prefs = qx.util.Json.parseQx(prefstr);
+                this.prefs = qx.util.Json.parse(prefstr);
             }
             
@@ -2187,5 +2049,5 @@
             }
 
-            var config = qx.util.Json.parseQx(configstr);
+            var config = qx.util.Json.parse(configstr);
             
             if (config) {
@@ -2237,8 +2099,8 @@
         createSaveLoadDialog : function()
         {
-            var w, rc, rc1, e, btn;
+            var w, rc1, e, btn;
             // "Save as..." dialog
-            w = new qx.legacy.ui.window.Window();
-            w.setSpace(200, "auto", 100, 300);
+            w = new qx.ui.window.Window();
+            w.setLayout(new qx.ui.layout.VBox(10));
             w.setModal(true);
             w.setShowMinimize(false);
@@ -2250,49 +2112,53 @@
                     }
                 });
-
-            rc = new qx.legacy.ui.layout.VerticalBoxLayout("vertical");
-            rc.set({width : "100%", height : "100%", spacing : 4});
-            w.add(rc);
-            
-            var tb = new qx.legacy.ui.toolbar.ToolBar();
-            var btn_delete = new qx.legacy.ui.toolbar.Button("Delete",
+                
+            this.doc.add(w, {left: 200, top: 100});
+            this.saveLoadWindow = w;
+
+            var tb = new qx.ui.toolbar.ToolBar();
+            var btn_delete = new qx.ui.toolbar.Button("Delete",
                 "pf/image/delete.png");
-            var btn_rename = new qx.legacy.ui.toolbar.Button("Rename",
+            var btn_rename = new qx.ui.toolbar.Button("Rename",
                 "pf/image/rename.png");
             btn_delete.setEnabled(false);
             btn_rename.setEnabled(false);
-            var sep = new qx.legacy.ui.toolbar.Separator();
-            tb.add(sep, btn_delete, btn_rename);
-            rc.add(tb);
-            
-            var lc =
-            {
-                name     : { label      : "Configuration",
-                             width      : 250,
-                             type       : "text",
-                             align      : "left",
-                             sortable   : true,
-                             sortProp   : "text"  },
-                date     : { label      : "Last Modified",
-                             width      : 180,
-                             type       : "text",
-                             align      : "right",
-                             sortable   : true   }
-            };
-
-            var lv = new qx.legacy.ui.listview.ListView(new Array, lc);
-
-            lv.setWidth("100%");
-            lv.setBorder("dark-shadow");
-            lv.setHeight("2*");
-
+            var sep = new qx.ui.toolbar.Separator();
+            tb.add(sep);
+            tb.add(btn_delete);
+            tb.add(btn_rename);
+            w.add(tb);
+
+            // table model
+            var tm = new qx.ui.table.model.Simple();
+            tm.setColumns([ "Configuration", "Last Modified" ]);
+            
+            tm.setColumnEditable(0, false);
+            tm.setColumnEditable(1, false);
+            
+            // table list
+            var lv = new qx.ui.table.Table(tm);
+            lv.set({
+                height: 250
+            });
+
+            lv.setStatusBarVisible(false);
+            lv.setShowCellFocusIndicator(false);
+            lv.setColumnVisibilityButtonVisible(false);
+            
+            lv.setColumnWidth(0, 250);
+            lv.setColumnWidth(1, 180);
+            
             this.saveLoadConfigList = lv;
-            rc.add(lv);
+            w.add(lv);
+
+            var sm = lv.getSelectionModel();
+            sm.setSelectionMode(qx.ui.table.selection.Model.SINGLE_SELECTION);
 
             btn_delete.addListener("execute", function(ev) {
-                    var pane = lv.getPane();
-                    var item = pane.getSelectedItem();
-                    if (item && confirm("Delete \"" + item.name.text + "\"?")) {
-                        this.removeConfig(item.name.text);
+                    if (!sm.isSelectionEmpty() &&
+                        confirm("Delete \"" + rowData[0] + "\"?")) {
+                        var index = sm.getLeadSelectionIndex();
+                        var rowData = tm.getRowData(index);
+                        this.removeConfig(rowData[0]);
                         this.updateSaveLoadList();
                     }
@@ -2300,8 +2166,8 @@
 
             btn_rename.addListener("execute", function(ev) {
-                    var pane = lv.getPane();
-                    var item = pane.getSelectedItem();
-                    if (item) {
-                        var name = item.name.text;
+                    if (!sm.isSelectionEmpty()) {
+                        var index = sm.getLeadSelectionIndex();
+                        var rowData = tm.getRowData(index);
+                        var name = rowData[0];
                         var newname = prompt("Rename \"" + name + "\" to", name);
                         if (newname && newname != name) {
@@ -2312,24 +2178,22 @@
                                 this.gui_configName.setLabel(newname);
                             }
+                            this.saveLoadTextField.setValue(newname);
                         }
                     }
                 }, this);
 
-            e = new pf.ui.TextField();
-            e.setWidth("100%");
-            rc.add(e);
-            
+            e = new qx.ui.form.TextField();
+            w.add(e);
             this.saveLoadTextField = e;
-
-            var sm = lv.getPane().getManager();
-            sm.setMultiSelection(false);
+            
             sm.addListener("changeSelection", function(ev) {
-                    var item = this.getSelectedItem();
-                    if (!item) {
+                    if (sm.isSelectionEmpty()) {
                         e.setValue(null);
                         btn_delete.setEnabled(false);
                         btn_rename.setEnabled(false);
                     } else {
-                        e.setValue(item.name.text);
+                        var index = sm.getLeadSelectionIndex();
+                        var rowData = tm.getRowData(index);
+                        e.setValue(rowData[0]);
                         btn_rename.setEnabled(true);
                         btn_delete.setEnabled(true);
@@ -2337,13 +2201,8 @@
                 });
             
-
-            rc1 = new qx.legacy.ui.layout.HorizontalBoxLayout("horizontal");
-            rc1.set({width                   : "100%",
-                     height                  : "auto",
-                     horizontalChildrenAlign : "right",
-                     verticalChildrenAlign   : "bottom"});
-            rc.add(rc1);
-
-            btn = new qx.legacy.ui.form.Button("Cancel",
+            rc1 = new qx.ui.container.Composite(new qx.ui.layout.HBox(1));
+            w.add(rc1);
+
+            btn = new qx.ui.form.Button("Cancel",
                 "pf/image/cancel.png");
             btn.addListener("execute", function(ev) {
@@ -2352,5 +2211,5 @@
             rc1.add(btn);
 
-            btn = new qx.legacy.ui.form.Button("OK",
+            btn = new qx.ui.form.Button("OK",
                 "pf/image/ok.png");
             btn.addListener("execute", function(ev) {
@@ -2387,7 +2246,4 @@
                     btn.setEnabled(null != name && name.length != 0);
                 });
-                
-            this.doc.add(w);
-            this.saveLoadWindow = w;
         },
 
@@ -2396,93 +2252,88 @@
             var w;
             // "Preferences..." dialog
-            w = new qx.legacy.ui.window.Window("Preferences",
+            w = new qx.ui.window.Window("Preferences",
                 "pf/image/preferences.png");
-            w.setSpace(200, "auto", 100, "auto");
+            w.setLayout(new qx.ui.layout.VBox(10));
+
             w.setModal(true);
             w.setShowMinimize(false);
             w.setShowMaximize(false);
 
-            var vbl = new qx.legacy.ui.layout.VerticalBoxLayout("vertical");
-            vbl.setStretchChildrenOrthogonalAxis(false);
-            w.add(vbl);
+            w.addListener("keypress", function(ev) {
+                    if (ev.getKeyIdentifier() == "Escape") {
+                        w.close()
+                    }
+                });
             
             var fr1, fr2, rc, l, e;
             
-            fr1 = new qx.legacy.ui.groupbox.GroupBox("Default units");
-            fr1.setDimension("auto", "auto");
-            vbl.add(fr1);
-            
-            rc = new qx.legacy.ui.layout.HorizontalBoxLayout;
-            rc.setWidth("100%");
-            rc.setHeight("auto");
-            rc.setSpacing(10);
+            fr1 = new qx.ui.groupbox.GroupBox("Default units");
+            fr1.setLayout(new qx.ui.layout.VBox());
+            w.add(fr1);
+            
+            rc = new qx.ui.container.Composite(new qx.ui.layout.HBox(10));
             fr1.add(rc);
 
-            l = new qx.legacy.ui.basic.Label("Dimension:");
-            e = new pf.ui.ComboBox;
-            e.add(new qx.legacy.ui.form.ListItem("Frequency", null, "frequency"));
-            e.add(new qx.legacy.ui.form.ListItem("Length", null, "length"));
-            e.add(new qx.legacy.ui.form.ListItem("Velocity", null, "velocity"));
-            e.add(new qx.legacy.ui.form.ListItem("Energy", null, "energy"));
-            e.add(new qx.legacy.ui.form.ListItem("Pressure", null, "pressure"));
-            e.add(new qx.legacy.ui.form.ListItem("Area", null, "area"));
-            e.add(new qx.legacy.ui.form.ListItem("Power density", null, "power_density"));
-            e.add(new qx.legacy.ui.form.ListItem("Power spectral density",
-                null, "spectral_power_density"));
-            e.add(new qx.legacy.ui.form.ListItem("Electric field", null, "efield"));
-            e.addListener("changeSelected", function(ev) {
+            l = new qx.ui.basic.Label("Dimension:");
+            e = new pf.ui.SelectBox;
+            e.addItem("Length", "length");
+            e.addItem("Frequency", "frequency");
+            e.addItem("Velocity", "velocity");
+            e.addItem("Energy", "energy");
+            e.addItem("Pressure", "pressure");
+            e.addItem("Area", "area");
+            e.addItem("Power density", "power_density");
+            e.addItem("Power spectral density", "spectral_power_density");
+            e.addItem("Electric field", "efield");
+            e.addListener("changeSelection", function(ev) {
                     var dimension = ev.getTarget().getSelectedValue();
                     this.gui_prefs_units.update(dimension,
                         this.prefs.units[dimension]);
                 }, this);
-            rc.add(l, e);
+            rc.add(l);
+            rc.add(e);
             this.gui_prefs_dim = e;
 
-            l = new qx.legacy.ui.basic.Label("Units:");
+            l = new qx.ui.basic.Label("Units:");
             e = new pf.UnitSelector();
-            e.addListener("changeSelected", function(ev) {
+            e.addListener("changeSelection", function(ev) {
                     var dimension = this.gui_prefs_dim.getSelectedValue();
-                    var units = ev.getTarget().getValue();
+                    var units = ev.getTarget().getSelectedValue();
                     this.prefs.units[dimension] = units;
                 }, this);
-            rc.add(l, e);
+            rc.add(l);
+            rc.add(e);
+            e.update("length");
             this.gui_prefs_units = e;
 
-            fr2 = new qx.legacy.ui.groupbox.GroupBox("Interface");
-            fr2.setDimension("auto", "auto");
-            vbl.add(fr2);
-            // A hack...
-            fr1.addListener("appear", function(ev) {
-                    fr2.setWidth(this.getWidthValue());
-                });
-
-            rc = new qx.legacy.ui.layout.VerticalBoxLayout;
-            rc.setWidth("100%");
-            rc.setHeight("auto");
-            rc.setSpacing(10);
+            fr2 = new qx.ui.groupbox.GroupBox("Interface");
+            fr2.setLayout(new qx.ui.layout.VBox());
+            w.add(fr2);
+
+            rc = new qx.ui.container.Composite(new qx.ui.layout.VBox(10));
             fr2.add(rc);
 
-            e = new qx.legacy.ui.form.CheckBox("Load Wikipedia articles automatically");
-            e.setChecked(this.prefs.autoLoadWiki);
-            e.addListener("changeChecked", function(ev) {
-                this.prefs.autoLoadWiki = ev.getTarget().getChecked();
+            e = new qx.ui.form.CheckBox("Load Wikipedia articles automatically");
+            e.setValue(this.prefs.autoLoadWiki);
+            e.addListener("changeValue", function(ev) {
+                this.prefs.autoLoadWiki = ev.getTarget().getValue();
             }, this);
             rc.add(e);
 
-            e = new qx.legacy.ui.form.CheckBox("Remember window dimensions on exit");
-            e.setChecked(this.prefs.rememberWindowSize);
-            e.addListener("changeChecked", function(ev) {
-                this.prefs.rememberWindowSize = ev.getTarget().getChecked();
+            e = new qx.ui.form.CheckBox("Remember window dimensions on exit");
+            e.setValue(this.prefs.rememberWindowSize);
+            e.addListener("changeValue", function(ev) {
+                this.prefs.rememberWindowSize = ev.getTarget().getValue();
             }, this);
             rc.add(e);
 
-            e = new qx.legacy.ui.form.CheckBox("Warn on exit or restart");
-            e.setChecked(this.prefs.warnOnExit);
-            e.addListener("changeChecked", function(ev) {
-                this.prefs.warnOnExit = ev.getTarget().getChecked();
+            e = new qx.ui.form.CheckBox("Warn on exit or restart");
+            e.setValue(this.prefs.warnOnExit);
+            e.addListener("changeValue", function(ev) {
+                this.prefs.warnOnExit = ev.getTarget().getValue();
             }, this);
             rc.add(e);
-
-            this.doc.add(w);
+            
+            this.doc.add(w, {left: 200, top: 100});
             this.prefsWindow = w;
         },
@@ -2498,5 +2349,4 @@
         {
             this.base(arguments);
-            this.compat();
 
             // Enable logging in debug variant
@@ -2509,6 +2359,6 @@
             }
             
-            this.doc = qx.legacy.ui.core.ClientDocument.getInstance();
-            this.win = this.doc.getWindowElement();
+            this.doc = this.getRoot();
+            // this.win = this.doc.getWindow();
             
             // Load prefs
@@ -2530,16 +2380,15 @@
             
             this.colorMap = new Array("red", "blue", "green", "orange",
-                "brown", "olive", "teal", "magenta", "grey", "black");
+                "brown", "olive", "teal", "magenta", "gray", "black");
             this.ncolor = 0;
 
             // Top-level container
-            this.bl_top = new qx.legacy.ui.layout.VerticalBoxLayout("vertical");
-            this.bl_top.setWidth("100%");
-            this.bl_top.setHeight("100%");
-
-            this.bl_top.addToDocument();
+            var layout = new qx.ui.layout.VBox;
+            this.bl_top = new qx.ui.container.Composite(layout);
+
+            this.doc.add(this.bl_top, {width : '100%'});
 
             // The menubar
-            this.menubar = new qx.legacy.ui.menubar.MenuBar;
+            this.menubar = new qx.ui.menubar.MenuBar;
             this.bl_top.add(this.menubar);
             
@@ -2547,14 +2396,7 @@
             this.buildMenu();
             
-            var tf1 = new qx.legacy.ui.pageview.tabview.TabView;
-            tf1.set({ width : '100%', height : '2*' });
-
-            this.bl_top.add(tf1);
-
-            this.tabbar  = tf1.getBar();
-            this.tabpane = tf1.getPane();
-            this.tabpane.setHeight('3*');
-            this.tabpane.setPadding(0, 0, 0, 0);
-
+            this.tabview = new qx.ui.tabview.TabView;
+            
+            this.bl_top.add(this.tabview);
             // The "Parameters" tab
             this.renderParametersTab();
@@ -2576,40 +2418,46 @@
 
             // "About..." dialog
-            w = new qx.legacy.ui.window.Window("About Plasma Formulary",
+            var w = new qx.ui.window.Window("About Plasma Formulary",
                 "pf/image/about.png");
-            w.setSpace(200, "auto", 100, "auto");
+            w.setLayout(new qx.ui.layout.VBox(10));
             w.setModal(true);
             w.setShowMinimize(false);
             w.setShowMaximize(false);
+
+            w.addListener("keypress", function(ev) {
+                    if (ev.getKeyIdentifier() == "Escape") {
+                        w.close()
+                    }
+                });
             
             var version = qx.core.Version;
             if (!version) {
-                version = '0.8.3';
-            }
-            str = 'Plasma Formulary Interactive.<br/>'    +
-                  '$Revision$.'                    +
-                  '<p>Written by Evgeny Stambulchik.</p>' +
-                  '<p>GUI built with the Qooxdoo-'        + 
-                  version + ' toolkit.<br/>'              + 
-                  'Using Walter Zorn jsGraphics for drawing.</p>';
-
-            var a = new qx.legacy.ui.basic.Atom(str);
-            a.set({ top: 4, left: 4 });
+                version = '1.0';
+            }
+            var str = 'Plasma Formulary Interactive.<br/>'    +
+                      '$Revision$.'                    +
+                      '<p>Written by Evgeny Stambulchik.</p>' +
+                      '<p>GUI built with the Qooxdoo-'        + 
+                      version + ' toolkit.<br/>'              + 
+                      'Using Walter Zorn jsGraphics for drawing.</p>';
+
+            var a = new qx.ui.basic.Atom(str);
+            a.setRich(true);
             w.add(a);
 
-            this.doc.add(w);
+            this.doc.add(w, {left: 200, top: 100});
             this.aboutWindow = w;
             
             if (this.prefs.rememberWindowSize && this.prefs.dims) {
-                self.resizeTo(this.prefs.dims.w,this.prefs.dims.h)
+                self.resizeTo(this.prefs.dims.w, this.prefs.dims.h)
             }
 
             // Handle resize events
-            this.doc.addListener("windowresize", function(e) {
-                if (this.prefs.rememberWindowSize) {
-                    this.prefs.dims = this.getWindowDimensions();
-                }
-                this.drawAll();
-            }, this);
+            // this.doc.addListener("windowresize", function(e) {
+            //     if (this.prefs.rememberWindowSize) {
+            //         this.prefs.dims = this.getWindowDimensions();
+            //     }
+            //     this.drawAll();
+            // }, this);
         },
     
@@ -2628,5 +2476,4 @@
 
             this.base(arguments);
-            this.compat();
             
             // Prompt user
Index: source/class/pf/UnitSelector.js
===================================================================
--- source/class/pf/UnitSelector.js	(revision 61)
+++ source/class/pf/UnitSelector.js	(revision 146)
@@ -1,5 +1,5 @@
 qx.Class.define("pf.UnitSelector",
 {
-    extend: pf.ui.ComboBox,
+    extend: pf.ui.SelectBox,
     
     members:
@@ -15,5 +15,5 @@
             this._dimension = dimension;
             
-            var list = this.getList();
+            var list = this.getChildControl("list");
             
             // clear everything
@@ -81,12 +81,10 @@
 
             if (def_units) {
-                var def_selected = list.findStringExact(def_units);
-                if (def_selected) {
-                    selected = def_selected;
-                }
-            }
-            
+                var models = new Array(def_units);
+                list.setModelSelection(models);
+            } else
             if (selected) {
-                this.setSelected(selected);
+                var sels = Array(selected);
+                list.setSelection(sels);
             }
         }
